## ros-humble-turtlebot4-setup 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(turtlebot4_setup)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

install(
  PROGRAMS ${PROJECT_NAME}/turtlebot4_setup
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-turtlebot4-setup (1.0.2-1jammy) jammy; urgency=high

  * Fixed Discovery Server IP
  * Updated default configs
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 01 Mar 2023 05:00:00 -0000

ros-humble-turtlebot4-setup (1.0.1-1jammy) jammy; urgency=high

  * Fixed script install path
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 28 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-setup (1.0.0-1jammy) jammy; urgency=high

  * turtlebot4_setup tool
  * RPI config updates
  * Discovery server files
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 24 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-setup (0.1.3-1jammy) jammy; urgency=high

  * Merge pull request #2 <https://github.com/turtlebot/turtlebot4_setup/issues/2> from turtlebot/roni-kreinin/domain_id
    v0.1.3
  * Added webserver service
  * Added argparser to install.py
    Removed namespacing for now
  * Added 'ros_config' script for setting ROS_DOMAIN_ID, namespace, and RMW_IMPLEMENTATION
  * Contributors: Roni Kreinin, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 27 Sep 2022 04:00:00 -0000

ros-humble-turtlebot4-setup (0.1.2-1jammy) jammy; urgency=high

  * Added chrony
    Updated wifi script
  * Updated dependencies
    Move swap_on and swap_off to /usr/local/bin
  * Fixed comment
  * Updated Create 3 curl commands
    Move wifi and create update scripts to /usr/local/bin
  * Updated oakd branch
  * Update README.md
  * Moved contents to root folder
    Updated oakd script to work for both pro and lite
    Updated turtlebot4_setup script
    Updated wifi script to allow the create 3 to be set up through the pi
    Added create 3 firmware flash scripts
  * Update README.md
  * Updated robot_upstart repo
  * Added swap memory scripts when more RAM is needed to build packages
  * Updated README
  * Initial commit
  * Contributors: Roni Kreinin, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 14 Jun 2022 04:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot4-setup
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-turtlebot4-setup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rmw-cyclonedds-cpp, ros-humble-rmw-fastrtps-cpp, ros-humble-robot-upstart, ros-humble-simple-term-menu-vendor, ros-humble-ros-workspace
Description: Turtlebot4 setup scripts

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot4-setup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
